# Controlador
Date: 2019-12-18

## Class Controlador

- java.lang.Object
- - Controlador

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class Controlador
    extends java.lang.Object
    implements java.awt.event.ActionListener

### Constructor Summary

Constructors
Constructor and Description
`Controlador(Vista vista, Modelo modelo)` Carga el controlador

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Controlador

    public Controlador(Vista vista,
                       Modelo modelo)

Carga el controlador

Parameters:
  `vista` - Vista a controlar
  `modelo` - Modelo en el que trabajamos

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`